Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.regex
Class RegexTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.search.FilteredTermEnum
              org.apache.lucene.search.regex.RegexTermEnum

    public class RegexTermEnum

extends FilteredTermEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified regular expression term using the specified regular expression implementation.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Constructor Summary
`RegexTermEnum(IndexReader reader, Term term, RegexCapabilities regexImpl)`

Method Summary
`void` | `close()`
`float` | `difference()`
`boolean` | `endEnum()`
`protected boolean` | `termCompare(Term term)`

Methods inherited from class org.apache.lucene.search.FilteredTermEnum
`docFreq, next, setEnum, term`

Methods inherited from class org.apache.lucene.index.TermEnum
`skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTermEnum

    public RegexTermEnum(IndexReader reader,
                         Term term,
                         RegexCapabilities regexImpl)
                  throws IOException

Throws:
  `IOException`

Method Detail

### termCompare

    protected final boolean termCompare(Term term)

  Specified by:
    `termCompare` in class `FilteredTermEnum`

### difference

    public final float difference()

  Specified by:
    `difference` in class `FilteredTermEnum`

### endEnum

    public final boolean endEnum()

  Specified by:
    `endEnum` in class `FilteredTermEnum`

### close

    public void close()
               throws IOException

  Overrides:
    `close` in class `FilteredTermEnum`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.